Name:           imgtarget
Version:        0.1.4
Release:        7%{?dist}
Summary:        Front-end to functionality provided by ArgyllCMS

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://blackfiveimaging.co.uk/index.php?article=02Software%2F02ImgTarget
Source0:        http://www.blackfiveimaging.co.uk/imgtarget/%{name}-%{version}.tar.gz
Patch0:         imgtarget-0.1.4-argyllcms.patch
Patch1:         imgtarget-0.1.4-gcc44.patch
Patch2:         imgtarget-0.1.4-dialogs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  netpbm-devel
BuildRequires:  lcms-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  desktop-file-utils
Requires:       argyllcms

%description
ImgTarget wraps the details of performing this task in a graphical 
user interface, and displays the original image, the image converted 
to a specific profile the traditional way, and the results of 
applying the devicelink profile - all side-by-side for convenient 
comparison.  It can also export the converted image data, with the 
target profile embedded, in either TIFF or JPEG format. 


%prep
%setup -q
%patch0 -p1 -b .argyllcms
%patch1 -p1 -b .gcc44
%patch2 -p1 -b .dialogs

%build
%configure CPPFLAGS="-I/usr/include/netpbm" LIBS="-lX11"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files 
%defattr(-,root,root,-)
%doc NEWS README ChangeLog COPYING 
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png



%changelog
* Thu Jun 30 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.1.4-7
- Fix up broken spec-changelog entry.

* Thu Jun 30 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.1.4-6
- Append INCLUDES="-I/usr/include/netpbm" and LIBS="-lX11" to %%configure
  (Fix FTBFS BZ#599895, BZ#715981).

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 12 2009 Zarko <zarko.pintar@gmail.com> - 0.1.4-3
- spec cleaning
- added dialogs patch for resolving crashing

* Tue May 11 2009 Zarko <zarko.pintar@gmail.com> - 0.1.4-2
- patch for gcc4.4
- spec cleaning

* Tue Mar 31 2009 Zarko <zarko.pintar@gmail.com> - 0.1.4-1
- initial release
